﻿using System.Collections.Generic;
using System.Web.Mvc;
using GoogleMaps.Models;

namespace GoogleMaps.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }
        
        public ActionResult GetMarkers()
        {
            // This would normally be our call to the Db, else we could populate this
            // with some data as Ive done here.
            MarkerList markers = GetMarkersObjects();
            
            return Json(markers, JsonRequestBehavior.AllowGet);
        }

        /// <summary>
        /// Gets the markers. This data could be filled with whatever you 
        /// set from your DB.
        /// </summary>
        /// <returns></returns>
        public static MarkerList GetMarkersObjects()
        {
            Marker marker = new Marker
            {
                html = "Some stuff to display in the<br>First Info Window",
                lat = "51.4109278",
                lng = "-0.2091921",
                label = "Marker One"
            };

            Marker marker2 = new Marker
            {
                html = "Some stuff to display in the<br>Second Info Window",
                lat = "55.084",
                lng = "-1.82",
                label = "Marker Two"
            };

            Marker marker3 = new Marker
            {
                html = "Some stuff to display in the<br>Third Info Window",
                lat = "53.08",
                lng = "-1.35",
                label = "Marker Three"
            };


            return new MarkerList {markers = new List<Marker> {marker, marker2, marker3}};
        }


        public ActionResult About()
        {
            return View();
        }
    }
}
